﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace OlapAxisWithToolTip
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataChart.Series.CollectionChanged += new System.Collections.Specialized.NotifyCollectionChangedEventHandler(Series_CollectionChanged);
        }

        void Series_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            if (e.NewItems != null)
            {
                foreach (Series series in e.NewItems)
                {
                    TextBlock tooltipText = new TextBlock();
                    tooltipText.SetBinding(TextBlock.TextProperty, new Binding("Item." + (series as AnchoredCategorySeries).ValueMemberPath));
                    TextBlock tooltipText1 = new TextBlock();
                    tooltipText1.SetBinding(TextBlock.TextProperty, new Binding("Series.Title"));

                    StackPanel toolTipContent = new StackPanel();
                    toolTipContent.Children.Add(tooltipText1);
                    toolTipContent.Children.Add(tooltipText);

                    series.ToolTip = toolTipContent;
                }
            }
            
        }

        private void olapXAxis_SeriesCreating(object sender, Infragistics.Controls.Charts.SeriesCreatingEventArgs e)
        {
            //OlapAxis a;a.too
        }

        private void olapXAxis_SeriesInitialing(object sender, Infragistics.Controls.Charts.SeriesInitialingEventArgs e)
        {

        }

        private void olapXAxis_Loaded(object sender, RoutedEventArgs e)
        {

        }
    }
}
